import { httpApi } from '../../request/httpApi'
export default {
        //获取分页
        async getPage(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/landRole/page',
                method: 'get',
                params: form,
            }, msg)
        },
        //新增或修改
        async addOrUpdate(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/landRole/addOrUpdate',
                method: 'post',
                data: form,
            }, msg)
        },
        //查询单个详情
        async getDetail(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/landRole/detail',
                method: 'get',
                params: form,
            }, msg)
        },
        //查询删除
        async remove(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/landRole/remove',
                method: 'post',
                data: form,
            }, msg)
        },
        //查询当前项目业主方合同段id
        async getOwnerId(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/landRole/getOwnerId',
                method: 'get',
                params: form,
            }, msg)
        },
}
