import {httpApi} from "../request/httpApi";
import website from "~src/config/index";

export const getRoutes = (msg = true) => httpApi({
  url: '/api/blade-system/menu/routes',
  method: 'get',
  params: {
      sysType: website.clientId
  }
}, msg);

export const getButtons = (msg = true) => httpApi({
    url: '/api/blade-system/menu/buttons',
    method: 'get'
}, msg);

export const getAazyList = (form, msg = true) => httpApi({
    url: '/api/blade-system/menu/lazy-list',
    method: 'get',
    params: form
}, msg);
