import config from './index.json'

//主要配置
export default {
    title: '征拆系统',
    key: 'lar',          // 配置主键,目前用于存储
    clientId: 'lar',     // 客户端id
    clientSecret: 'lar_secret', // 客户端密钥
    tenantMode: true,       // 是否开启租户模式
    tenantId: "000000",     // 管理组租户编号
    captchaMode: false,     // 是否开启验证码模式
    switchMode: false,      // 是否开启部门切换模式
    tokenTime: 1740,
    tokenHeader: 'Blade-Auth',
    tokenKey: 'lar-access-token',
    refreshTokenKey: 'lar-refresh-token',
    statusWhiteList: [],    //http的status默认放行列表
    ...config,
    //这里不再支持配置请求地址，请在 src/config/index.json 文件中配置。
    //相关参数，可查阅 src/config/index.md 文件说明
}
